*==============================================================================*.
* TTULO DE LA SINTAXIS:													   
* Clculo de la nueva condicin de actividad				   				   
* OPERACIN ESTADSTICA:													   
* Encuesta Nacional de Empleo, Desempleo y Subempleo (ENEMDU)				   
* UNIDAD TCNICA RESPONSABLE: 												   
* Direccin de Estudios de Poblacin y Condiciones de Vida (DEPCV)			   
* ENTIDAD EJECUTORA:														   
* Instituto Nacional de Estadstica y Censos (INEC)							   
*==============================================================================*.
* Fecha de elaboracin:        Septiembre - 2014						   
* Fecha ltima modificacin:   13 de Enero del 2015					   
*==============================================================================*.
* Sintaxis elaborada en base a la nota metodolgica para la medicin del empleo en Ecuador.
* Sintaxis para 2014 (Para cada ao es necesario modificar el SBU: fila 40)
*==============================================================================*.
* Elaborado por:													   
*    Direccin de Estadsticas Sociodemogrficas (DIES)						   
*    Sistema Integrado de Indicadores de Hogares (SIIH)						   
* Aprobado por:													   
*    Director de Estudios de Poblacin y Condiciones de Vida (DEPCV)			   
*    Instituto Nacional de Estadstica y Censos (INEC)							   
*==============================================================================*.
* Revisado por:																   
* 1. Director de Estudios de Poblacin y Condiciones de Vida (DEPCV)			   
*    Instituto Nacional de Estadstica y Censos (INEC)							   
* 2. Direccin de Estudios Laborales y Econmicos (DELE)				       
*    Unidad de Estudios de Mercado Laboral								       
* 3.Direccin de Estadsticas Sociodemogrficas (DIES)						   
*    Sistema Integrado de Indicadores de Hogares (SIIH)						   
*==============================================================================*.
compute t=1.
rename var t=t_a.
*==============================================================================*.
* PARMETROS DE EDAD MINIMA Y SBU 										   	   
*==============================================================================*.
* Fijacin de la edad mnima.
			compute edadmin =15.
* Fijacin del Salario Bsico Unificado.
   compute salmin =340.
*==============================================================================*.
* CONSTRUCCIN DE POBLACIONES DE REFERENCIA								   	   
*==============================================================================*.
* Poblacin en Edad de Trabajar (PET).
    if (p03 <edadmin) petn =0.
    if (p03 >=edadmin) petn =1.
    var label petn 'Poblacin en Edad de Trabajar'.
* Poblacin Econmicamente Activa (PEA).
    if (petn =1) pean =0.
    if (petn =1 and p20 =1) pean =1.
    if (petn =1 and p20 =2 and p21 <=11) pean =1.
    if (petn =1 and p20 =2 and p21 =12 and p22=1) pean =1. 
    if (petn =1 and p20 =2 and p21 =12 and p22=2 and p32 <=10) pean =1. 
    if (petn =1 and p20 =2 and p21 =12 and p22=2 and p32 =11 and p34 <=7 and p35=1) pean =1. 
    var label pean 'Poblacin Econmicamente Activa'.
* Poblacin Econmicamente Inactiva (PEI).
    if (petn =1) pein =0. 
    if (petn =1 and p20 =2 and p21 =12 and p22=2 and p32 =11 and p34 <=7 and p35=2) pein =1.
    if (petn =1 and p20 =2 and p21 =12 and p22=2 and p32 =11 and (p34>=8 and p34 <=12)) pein =1.
    var label pein 'Poblacin Econmicamente Inactiva'.
* Poblacin con Empleo (EMPLEO).
    if (pean =1) empleo =0.
    if (pean =1 and p20 =1) empleo =1.
    if (pean =1 and p20 =2 and p21 <=11) empleo =1.
    if (pean =1 and p20 =2 and p21 =12 and p22=1) empleo =1.
    var label empleo 'Poblacin con Empleo'.
* Poblacin Desempleada (DESEM).
    if (pean =1) desem =0.
    if (pean =1 and p20 =2 and p21 =12 and p22=2 and p32 <=10) desem =1.
    if (pean =1 and p20 =2 and p21 =12 and p22=2 and p32 =11 and p34 <=7 and p35=1) desem =1.
    var label desem 'Poblacin Desempleada'.
* Desempleo Abierto (DESEMAB).
    if (pean =1) desemab =0.
    if (pean =1 and p20 =2 and p21 =12 and p22=2 and p32 <=10) desemab =1.
    var label desemab 'Desempleo abierto'.
* Desempleo Oculto (DESEMOC).
    if (pean =1) desemoc =0.
    if (pean =1 and p20 =2 and p21 =12 and p22=2 and p32 =11 and p34 <=7 and p35=1) desemoc =1.
    var label desemoc 'Desempleo oculto'.
*==============================================================================*.
* FIJACIN DE UMBRALES MNIMOS DE SATISFACCIN								   
*==============================================================================*.
*==============================================================================*.
* 1. INGRESO LABORAL 								   
*==============================================================================*.
* Umbral normativo (Salario bsico unificado).
   compute ila =ingrl.
   recode ila(-1, 999999 =sysmis).
   if (ingrl =-1) ineg =1.
   if (empleo = 1 and ila < salmin) w = 0.
   if (empleo = 1 and ila >= salmin) w = 1.
   var label w 'Umbral de ingreso laboral'.
   if sysmis(ila) w = $sysmis.
   value label w
   0 'menor'
   1 'mayor'.
*==============================================================================*.
* 2. TIEMPO DE TRABAJO 					   
*==============================================================================*.
* Horas de trabajo semanal.
   if (empleo =1) horas =0.
* Horas efectivas: persona con empleo y trabajando.
   if (pean =1 and p20 =1) horas = p24.
			if (pean =1 and p20 =2 and p21 <=11) horas = p24.
* Horas habituales: persona con empleo y sin trabajar.
   recode p51a p51b p51c (999 = sysmis).
   compute hh = sum(p51a, p51b, p51c).
   if (hh<0) hh=$sysmis.
   if (pean =1 and p20 =2 and p21 =12 and p22=1) horas = hh.
   var label horas 'Horas de trabajo semanal'.
* Umbral normativo (jornada mxima laboral).
   if (empleo =1 and horas <40) t=0.
   if (empleo =1 and horas >=40) t = 1.
   if (empleo =1 and horas < 30 and  p03>=12 and p03<=17) t = 0.
   if (empleo =1 and horas >=30 and p03>=12 and p03<=17) t = 1.
   var label t 'Umbral de horas trabajadas'.
*==============================================================================*.
* 3. DESEO Y DISPONIBILIDAD	DE TRABAJAR HORAS ADICIONALES				  
*==============================================================================*.
* Deseo y disponibilidad de trabjar horas adicionales.
   if empleo = 1 d_d = 0.
   if (empleo = 1 and (p25 = 9 or p27 = 4)) d_d=0.
   if (empleo = 1 and p27 <= 3 and p28 = 1) d_d=1.
   var label d_d 'Deseo y disponibilidad de trabajar horas adicionales'.
   value label d_d 
   0 'No desea'
   1 'Si desea y est disponible'. 
*==============================================================================*.
* AGREGACIN DE LA POBLACIN OCUPADA POR CONDICION DE ACTIVIDAD				   
*==============================================================================*.
do if (pean =1 and p03 >=edadmin).
			* Empleo adecuado.
   compute adec=0.     
   if (empleo =1 and w=1 and t =1 ) adec =1. 
   if (empleo =1 and w=1 and t =0 and d_d=0) adec =1. 
			* Subempleo por insuficiencia de tiempo de trabajo.
   compute sub_h=0.     
 		if (empleo =1 and w=1 and t =0 and d_d =1) sub_h = 1.
   if (empleo =1 and sysmis(w) and t =0 and d_d =1) sub_h = 1.
 		if (empleo =1 and w=0 and t =0 and d_d =1) sub_h = 1.
			* Subempleo por insuficiencia de ingresos.
   compute sub_w=0.     
 		if (empleo =1 and w=0 and t =1 and d_d =1) sub_w = 1.
			* Otro empleo Inadecuado.
   compute oinad=0.     
 		if (empleo =1 and w=0 and t =0 and d_d =0) oinad = 1. 
 		if (empleo =1 and w=0 and t =1 and d_d =0) oinad = 1.
			* Empleo no clasificado.
   compute n_c=0.     
 		if (empleo =1 and sysmis(w) and t =0 and d_d =0) n_c = 1.
 		if (empleo =1 and sysmis(w) and t =1) n_c = 1.
   * Empleo no remunerado.
   compute n_r=0.     
   if (empleo =1 and p42 >=7 and p42 <=9) n_r =1.
   if (adec = 1 and n_r = 1) n_r = 0.
   if (sub_h = 1 and n_r = 1) n_r = 0.
   if (sub_w = 1 and n_r = 1) n_r = 0.
   if (oinad = 1 and n_r = 1) n_r = 0.
   if (n_c = 1 and n_r = 1) n_c = 0.
   * Trabajadores con ingresos negativos se asignan a otro empleo inadecuado.
   if (empleo = 1 and ineg = 1 and sub_h = 0 and n_c = 1 and (t = 0 or t = 1)) oinad = 1.
   if (oinad =1) n_c =0.
end if.   
execute.
*==============================================================================*.
* CONTROL DE CONSISTENCIA													   
*==============================================================================*.
* Empleo no clasificado obtenido por residuo (Si aplicare).
    compute aux1 = sum(adec, sub_h, sub_w, oinad, n_r, n_c).
    if (aux1 =0 and empleo =1 and p03 >=edadmin) n_c =1.
* Se verifica el criterio de exhaustividad.
    compute aux2 = sum(adec, sub_h, sub_w, oinad, n_r, n_c).
    compute aux3 = aux2 - empleo.
*    freq aux3.
*==============================================================================*.
* CONSTRUCCIN DE LA VARIABLE "CONDICIN DE ACTIVIDAD"						   
*==============================================================================*.
* CONDACTN.
    compute CONDACTN =0.
    if adec =1 CONDACTN =1.
    if sub_h =1 CONDACTN =2.
    if sub_w =1 CONDACTN =3.
    if oinad =1 CONDACTN =4.
    if n_r =1 CONDACTN =5.
    if n_c =1 CONDACTN =6.
    if desemab =1 CONDACTN =7.
    if desemoc =1 CONDACTN =8.
    if pein =1 CONDACTN =9.

    value label CONDACTN
    0  'Menores de 15 aos'
    1  'Empleo adecuado'
    2  'Subempleo por insuficiencia de tiempo de trabajo'
    3  'Subempleo por insuficiencia de ingresos'
    4  'Otro empleo Inadecuado'
    5  'Empleo no remunerado'
    6  'Empleo no clasificado'
    7  'Desempleo abierto'
    8  'Desempleo oculto'
    9  'Poblacin Econmicamente Inactiva'.
				var lab CONDACTN'Condicin de actividad Nueva'.
    execute.

    freq condactn.
*==============================================================================*.

delete var 
edadmin
petn
pean
pein
empleo
desem
desemab
desemoc
horas
hh
t
salmin
salminh
ila
ineg
w
d_d
adec
sub_h
sub_w
oinad
n_c
n_r
aux1
aux2
aux3.



